GCLOUD_COMPUTE_INSTANCES_GET-SERIAL-PORT-OUTPUT(1)

NAME

gcloud compute instances get-serial-port-output - read output from a virtual machine instance's serial port

SYNOPSIS

gcloud compute instances get-serial-port-output INSTANCE_NAME [--port=PORT] [--start=START] [--zone=ZONE] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
gcloud compute instances get-serial-port-output is used to get the output from a Google Compute Engine virtual machine's serial port. The serial port output from the virtual machine will be printed to standard output. This information can be useful for diagnostic purposes.

POSITIONAL ARGUMENTS

    INSTANCE_NAME
        The name of the instance to operate on.

FLAGS

    --port=PORT
        Instances can support up to four serial port outputs, numbered 1 through 4. By default, this command will return the output of the first serial port. Setting this flag will return the output of the requested serial port.

    --start=START
        Specifies the byte index (zero-based) of the first byte you want returned. Use this flag if you want to continue getting the output from a previous request that was too long to return in one attempt. The last byte returned in a request will be reported on STDERR.

    --zone=ZONE
        The zone of the instance to operate on. If not specified, you may be prompted to select a zone. gcloud will attempt to identify the zone by searching for resources in your project. If the zone cannot be determined, you will then be prompted with all Google Cloud Platform zones. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.